7021252: Tomcat startup fails java.lang.UnsupportedClassVersionError: JVMCFRE003 bad major version

This document (7021252) is provided subject to the disclaimer at the end of this document.

Environment


SUSE Linux Enterprise Server 12 Service Pack 2 (SLES 12 SP2)

Situation

After starting tomcat 8:

systemctr start tomcat.service

within journalctr:

Aug 29 13:23:01 sles12sp2 server[16296]: Exception in thread "main" java.lang.UnsupportedClassVersionError: JVMCFRE003 bad major version; class=org/apache/catalina/startup/Bootst

Resolution

Install correct java version for tomcat.

To see what versions are available:

zypper se -s java

For tomcat 8 install java 7 from repositories


e.g.: zypper in java-1_7_1-ibm

if already installed change of alternatives:

update-alternatives --config java

There are 2 choices for the alternative java (providing /usr/bin/java).

Selection Path Priority Status
------------------------------------------------------------
* 0 /usr/lib64/jvm/jre-1.7.1-ibm/bin/java 1710 auto mode
1 /usr/lib64/jvm/jre-1.6.0-ibm/bin/java 1610 manual mode
2 /usr/lib64/jvm/jre-1.7.1-ibm/bin/java 1710 manual mode

Cause

Tomcat 8 needs java 7

Disclaimer

This Support Knowledgebase provides a valuable tool for NetIQ/Novell/SUSE customers and parties interested in our products and solutions to acquire information, ideas and learn from one another. Materials are provided for informational, personal or non-commercial use within your organization and are presented “AS IS” WITHOUT WARRANTY OF ANY KIND.

Related:

Leave a Reply